Subject: bug#55537: Guix pull after many months fails: substitutes for git-minimal-2.36.1 failed

From: Maxime Devos <[email-masked]>
Date: Mon, 30 May 2022 11:31:06 +0200

Rafa Gálvez schreef op ma 30-05-2022 om 09:55 [+0200]:
> guix/ui.scm:1747:12: In procedure run-guix-command:
> unsupported compression scheme lzip

This should be impossible because 'narinfo-best-uri' checks that the
compression method is supported ... though that particular substitute
has both lzip and zstd but nothing else so maybe there are no usable
substitutes, and maybe that procedure has changed over time.

For the narinfo of 'hello' from ci.guix.gnu.org, I see there is also a
gzipped substitute available, maybe that's the difference? 

I guess the solution or work-around is to update the guix daemon (I'm
guessing it's an old version).  If that fails, you could for now avoid
the broken(?) substitute of git-minimal by building things locally:

$ guix pull --keep-going --fallback # download as much substitutes as we can, even if eventually it fails
# sometimes --fallback doesn't work (I don't recall the details), build the remainder locally
$ guix pull --no-substitutes

Greetings,
Maxime.

(?) I don't know if this is a bug in the old or new substitution code or in Cuirass.